<?php

namespace common\modules\product\models;

use common\modules\product\helpers\ProductHelper;
use yii\base\Model;
use yii\helpers\ArrayHelper;

class Export extends Model {
    public $errors = [];
    public $output = [];

    public function process($dirName, $filename = null, $use_not_enables = false) {
        if (is_null($filename)) {
            $filename = 'products_'. date('d_m_Y_H_i') .'.csv';
        }
        setlocale(LC_ALL, 'ru_RU.CP1251');
        $handle = fopen($dirName .'/'. $filename, "w");
        ///$products = Product::find()->joinWith(['variants'])->where(['!=', ProductVariant::tableName() .'.stock', 0])->select('product.product_id')->all();
        $products = Product::find()
            ->with(['variantsWithFilters','brand','categoriesWithName'])->all();

        $i = 0;
        foreach ($products as $product)
        {


            $i++;
            /*if ($i>1e2) {
                break;
            }*/
            $mods = [];

            $filterString = $this->convertFilterToString($product->getFilters());

            foreach ($product->variantsWithFilters as $variant)
            {

                $color = $variant->name;

                $mods[] = $variant->sku .
                    '=' . $this->convertFilterToString($variant->filters) .
                    '=' . $color .
                    '=' . ((!empty($variant->image)) ? $variant->image->image: '').
                    '=' . $variant->stock;
            }


            $fotos = [];

//            foreach ($product->images as $image)
//            {
//                $fotos[] = $image->imageUrl;
//            }

//            $filters = $product->properties;
            $categories = [];
            foreach($product->categoriesWithName as $value){
                $categorName = ArrayHelper::getColumn($value->categoryNames,'value');
                $categories[] = $categorName[0];

            }


            $categories = implode(',',$categories);

            $list = [
                $categories,
                $product->brand->name,
                $product->name,
                '',
                ((! empty($product->description)) ? $product->description : ''),
                $filterString,
                (!empty($product->variant)) ? $product->variant->price_old : '',
                (!empty($product->variant)) ? $product->variant->price : '',
                intval($product->akciya),
                '',
                intval($product->new),
                intval($product->top),
                $product->video,
                implode (',', $fotos),
            ];

            $to_write = array_merge ($list, $mods);
            foreach($to_write as &$cell) {
                $cell = iconv("UTF-8", "WINDOWS-1251", $cell);
            }


            fputcsv($handle, $to_write, ';');
        }



        fclose ($handle);

        return $dirName .'/'. $filename;
    }


    public function convertFilterToString($filters){
        $fittersArray = [];
        foreach($filters as $filter){
            $fittersArray[$filter->taxGroup->alias][] =  $filter->name;
        }
        $filterString=[];

        foreach($fittersArray as $filterName =>$filterRows ){
            $row = implode(',',$filterRows);
            $filterString[] = "[{$filterName}:{$row}]";

        }
        return implode('*',$filterString);
    }
}