<?php
use yii\helpers\Url;
use yii\helpers\Html;
use yii\web\View;
use yii\helpers\ArrayHelper;
use yii\widgets\Breadcrumbs;
use yii\bootstrap\ActiveForm;
use common\models\Delivery;

$this->title = 'Корзина';
$this->registerMetaTag(['name' => 'description', 'content' => 'Корзина']);
$this->registerMetaTag(['name' => 'keywords', 'content' => 'Корзина']);

$this->registerJsFile(Yii::$app->request->baseUrl.'/js/jquery.mask.js',['position'=>View::POS_END,'depends'=>['yii\web\YiiAsset']]);

$this->registerJs("
$('#orders-phone,#orders-phone2').mask('(000) 000-0000');
", View::POS_READY, 'mask');


$this->registerJs("
$('#orders-delivery input[type=\"radio\"]').click(function(){
    $('.hidden_box').addClass('activeShow')
    $('.delivery-data').hide();
    $('#delivery-data-'+$(this).val()).show();
});
", View::POS_READY, 'order-delivery');
?>
<!--            <nav class="bread-crumbs">-->
<!--            --><?//= Breadcrumbs::widget([
//                'links' => [
//                            'Корзина'
//                            ],
//            ]) ?>
<!--                            <div class="both"></div>-->
<!--            </nav>-->



<div class="layout">
    
    <h1 class="basket_title_">Корзина</h1>
<div class="ten"></div>
    <?php if ($flash = Yii::$app->session->getFlash ('success')): ?>
        <div class="alert-success"><?= $flash ?></div>
    <?php endif; ?>
    <?php if ($flash = Yii::$app->session->getFlash ('error')): ?>
        <div class="alert-error"><?= $flash ?></div>
    <?php endif; ?>
<?php $form = ActiveForm::begin(['enableClientScript' => false]); ?>
<div class="rightbar basket_rightbar">
 <div class="form-order">
     <div class="input-blocks-group">
         <div class="title_groups">контакты</div>
         <div class="input-blocks-wrapper" style="margin-top: 0">
             <?php echo $form->field($modelOrder, 'name', [ 'options' => [ 'class' => 'input-blocks basket_input_2' ] ])->textInput([ 'class' => 'custom-input-2' ]); ?>
         </div>
         <div class="input-blocks-wrapper">
             <?php echo $form->field($modelOrder, 'phone', [ 'options' => [ 'class' => 'input-blocks basket_input_2' ] ])->textInput([ 'class' => 'custom-input-2' ]); ?>
         </div>
         <div class="input-blocks-wrapper">
             <?php echo $form->field($modelOrder, 'phone2', [ 'options' => [ 'class' => 'input-blocks basket_input_2' ] ])->textInput([ 'class' => 'custom-input-2' ]); ?>
         </div>
         <div class="input-blocks-wrapper">
             <?php echo $form->field($modelOrder, 'city', [ 'options' => [ 'class' => 'input-blocks basket_input_2' ] ])->textInput([ 'class' => 'custom-input-2' ]); ?>
         </div>
         <div class="input-blocks-wrapper">
             <?php echo $form->field($modelOrder, 'adress', [ 'options' => [ 'class' => 'input-blocks basket_input_2' ] ])->textInput([ 'class' => 'custom-input-2' ]); ?>
         </div>
         <div class="input-blocks-wrapper">
             <?php echo $form->field($modelOrder, 'email', [ 'options' => [ 'class' => 'input-blocks basket_input_2' ] ])->textInput([ 'class' => 'custom-input-2' ]); ?>
         </div>
     </div>

     <div class="input-blocks-group radio_grp hidden_box">
         <div class="input-blocks-wrapper">
             <?php
             $deliveries = ArrayHelper::map(Delivery::find()->where(['parent_id'=>0])->asArray()->all(), 'id', 'title');
             array_pop($deliveries);
             echo $form->field($modelOrder, 'delivery')
                 ->radioList($deliveries,[
                     'item' => function($index, $label, $name, $checked, $value) {
                         $return = '<div class="custom-form-buttons">';
                         $return .= '<input class="custom-radio" id="custom-radio-' . $value . '" ' . ( $checked ? "checked" : "" ) . ' type="radio" name="' . $name . '" value="' . $value . '" >';
                         $return .= '<label for="custom-radio-' . $value . '" ><span></span>' . $label . '</label>';
                         $return .= '</div>';
                         return $return;
                     },
                 ])
             ?>
         </div>
     </div>


<div class="both"></div> 

<?php foreach(Delivery::find()->where(['parent_id'=>0])->all() as $item):?>
<div class='delivery-data' id='delivery-data-<?=$item->id?>'>
        <?=$item->text?>
    <?= $form->field($modelOrder, 'delivery')
        ->radioList(ArrayHelper::map(Delivery::find()->where(['parent_id'=>$item->id])->asArray()->all(), 'id', 'title'), [
            'id'=> 'order-delivery-childs',
            'item' => function($index, $label, $name, $checked, $value) {
                $return = '<div class="custom-form-buttons">';
                $return .= '<input class="custom-radio" id="custom-radio-' . $value . '" ' . ( $checked ? "checked" : "" ) . ' type="radio" name="' . $name . '" value="' . $value . '" >';
                $return .= '<label for="custom-radio-' . $value . '" ><span></span>' . $label . '</label>';
                $return .= '</div>';
                return $return;
            },
        ]);?>
</div>

<?php endforeach;?>
     <div class="input-blocks-group radio_grp">
         <div class="input-blocks-wrapper">
             <?php echo $form->field($modelOrder, 'payment')->radioList(['Оплатить наличными'=>'Оплатить наличными','Оплатить на карту Приват Банка'=>'Оплатить на карту Приват Банка','Оплатить по безналичному расчету'=>'Оплатить по безналичному расчету','Оплатить Правекс-телеграф'=>'Оплатить Правекс-телеграф','Наложенным платежом'=>'Наложенным платежом'],[
                 'item' => function($index, $label, $name, $checked, $value) {
                     $return = '<div class="custom-form-buttons">';
                     $return .= '<input class="custom-radio" id="custom-radio-' . $value . '" ' . ( $checked ? "checked" : "" ) . ' type="radio" name="' . $name . '" value="' . $value . '" >';
                     $return .= '<label for="custom-radio-' . $value . '" ><span></span>' . $label . '</label>';
                     $return .= '</div>';
                     return $return;
                 },
             ]); ?>
         </div>
     </div>






<div class="input-blocks-group textareagroup" style="border-bottom: none; padding-bottom: 0;">
    <?php echo $form->field($modelOrder,'body')->textarea(['rows'=>7]); ?>
    <div class="checkout_basket">
        <?php echo Html::submitButton(' Оформить заказ ',array('class'=>'submit4')); ?>
    </div>

</div>

     <div class="both"></div>

 </div>   
</div>
			<div class="content">
                            
                            
<?php foreach($basket_mods as $i=>$item):?>
			<div class="basket_item">
				<a href="<?= Url::to(['catalog/product', 'product' => $item->product,'#' => 'm' .$item->product_variant_id]) ?>">
                    <?= \common\components\artboximage\ArtboxImageHelper::getImage($item->imageUrl, 'product_basket')?>
                </a>
				<div class="info">
				<a href="<?= Url::to(['catalog/product', 'product' => $item->product,'#' => 'm' .$item->product_variant_id]) ?>" class="link2"><?=$item->product_name?></a>
				<p>Код: <?=$item->sku?>, цвет: <?=$item->name?></p>
                                <?php echo $form->field($item,'['.$i.']id')->hiddenInput()->label(false); ?>
                                <?php echo $form->field($item,'['.$i.']product_name')->hiddenInput()->label(false); ?>
                                 <?php echo $form->field($item,'['.$i.']sku')->hiddenInput()->label(false); ?>
                                <?php echo $form->field($item,'['.$i.']name')->hiddenInput()->label(false); ?>
                                <?php echo $form->field($item,'['.$i.']price')->hiddenInput()->label(false); ?>
                                <?php echo $form->field($item,'['.$i.']sum_cost')->hiddenInput()->label(false); ?>
                                <div class="count">
                                        <div class="fr txtf"><span style="color:silver">цена за один <?=$item->price?> грн,</span> цена <?=$item->sum_cost?> грн</div>
                                        <label for="count" class="txtf">Количество</label> <?php echo $form->field($item,'['.$i.']count')->textInput(['type'=>'number'])->label(false); ?><div class="both"></div>
				</div>
				<a href="<?=Url::to(['basket/index','deleteID'=>$item->id]);?>" class="del">Удалить</a>
				</div><div class="both"></div>
			</div>
<?php endforeach;?>
				
                <div style="margin-top: 10px;">
                    <?php echo Html::submitButton(' Пересчитать ',array('name'=>"update",'class'=>'submit4 fl ')); ?>
                </div>


			<div class="total">
			<?= $form->field($modelOrder, 'total')->hiddenInput(['value'=>$modelOrder->getSumCost()])->label(false); ?>
                            Общая сумма: <?=$modelOrder->getSumCost();?> грн.
			</div>
                <div class="cont_shopping-wr">
                    <?= Html::a('Продолжить покупки', ['/site/index'], ['class'=>'btn-success cont_shopping']) ?>
                </div>
<div class="both"></div>



			</div>

    <div class="both"></div>
 <?php ActiveForm::end(); ?>			
			
			
</div>

