<?php
    /**
     * @var Category $category
     */
    //    use common\modules\comment\models\Comment;
    //    use common\modules\comment\models\Rating;
    //    use common\modules\comment\widgets\CommentWidget;
    use common\modules\comment\widgets\CommentWidget;
    use common\modules\product\models\Category;
    use yii\helpers\Html;
    use yii\web\View;
    use yii\helpers\Url;
    use frontend\widgets\Seo;
    use frontend\assets\FlipclockAsset;
    
    FlipclockAsset::register($this);
    $fullname = $product->fullname;
    $this->params[ 'seo' ][ 'key' ] = $category->categoryName->value;
    $this->params[ 'seo' ][ 'fields' ][ 'name' ] = $fullname;
    $this->params[ 'seo' ][ 'h1' ] = !empty( Seo::widget([ 'row' => 'h1' ]) ) ? Seo::widget(
        [ 'row' => 'h1' ]
    ) : $fullname;
    
    //$this->params['seo']['title'] =  "Купить " . substr($product->category->categoryName->value, 0, -2) . " " . $fullname . " в Киеве, Харькове, Украине: цены, отзывы - Rukzachok.com.ua";
    //$this->params['seo']['description'] = "Заказать " . substr($product->category->categoryName->value, 0, -2) . " " . $fullname . " - самые модные и стильные рюкзаки в Украине по лучшим ценам. Интернет магазин рюкзаков Rukzachok.com.ua";
    $this->title = $fullname;
    //$this->title = (! empty($product->meta_title)) ? $product->meta_title : $fullname;
    //$this->registerMetaTag (['name' => 'description', 'content' => ((! empty($product->meta_description)) ? $product->meta_description : $fullname)]);
    //$this->registerMetaTag (['name' => 'keywords', 'content' => $product->meta_keywords]);
    
    //foreach($product->category->getParents()->all() as $parent) {
    //    $this->params['breadcrumbs'][] = ['label' => $parent->categoryName->value, 'url' => ['catalog/category', 'category' => $parent]];
    //}
    $this->params[ 'breadcrumbs' ][] = [
        'label' => 'Каталог',
        'url'   => [ 'catalog/category' ],
    ];
    $this->params[ 'breadcrumbs' ][] = [
        'label' => $category->categoryName->value,
        'url'   => [
            'catalog/category',
            'category' => $category,
        ],
    ];
    $this->params[ 'breadcrumbs' ][] = [
        'label' => $category->name . ' ' . $product->brand->name,
        'url'   => [
            'catalog/category',
            'category' => $category,
            'filters'  => [
                'brands' => [ $product->brand->alias ],
            ],
        ],
    ];
    $this->params[ 'breadcrumbs' ][] = $fullname . ' #' . $product->variant->sku;
    
    $this->registerJs(
        '

        var checkData = function($index)
        {
            var sourceNew = $(".productLeftBar .product_mod > li").eq($index);
            $(".productLeftBar .product_mod > li").removeClass("active")
            sourceNew.addClass("active");
            var $source = sourceNew.find("a");
            var $target = $(".productLeftBar .cost_box");

            $("#cost").text($source.data("cost"));
            $("#old_cost").text($source.data("old_cost"));

            if (parseInt ($source.data("old_cost")) == 0)
            {
                $target.find("strike").hide();
            }
            else
            {
                $target.find("strike").show();
            }

            $("#product_id").val($source.data("id"));
            $("#art").text($source.data("art"));
            $("#color").text($source.data("color"));
            $("#pic").attr("src",$source.data("image"));
            $("#picoriginal").attr("href",$source.data("imageoriginal"));
        }

        $("body").on("click", ".link_buy_out_stock", function(e){
            e.preventDefault();
        });
        
        $(".product_mod > li").click(function()
        {
            checkData($(this).index());

            Shadowbox.setup($("#picoriginal"));

            return false;
        });

        checkData(0);

    ',
        View::POS_READY,
        'fasovka'
    );
    
    $this->registerJs(
        "
        $('#nav_product li > a').addClass('active');
        $('#nav_product li').find('.info').toggle();

        $('#nav_product li > a').bind('click',function()
        {
            if($(this).parent().find('.info').css('display')=='none')$(this).addClass('active');
            else $(this).removeClass('active');
            $(this).parent().find('.info').toggle();

            return false;
        });
    ",
        View::POS_READY,
        'nav_product'
    );
    
    $this->registerCssFile(Yii::$app->request->BaseUrl . '/js/shadowbox-3.0.3/shadowbox.css');
    $this->registerJsFile(
        Yii::$app->request->baseUrl . '/js/shadowbox-3.0.3/shadowbox.js',
        [
            'position' => View::POS_END,
            'depends'  => [ 'yii\web\JqueryAsset' ],
        ]
    );
    $this->registerJs(
        "
        Shadowbox.init({

    });
    ",
        View::POS_READY,
        'Shadowbox'
    );
?>

<?php if ($flash = Yii::$app->session->getFlash('success')): ?>
    <div class="alert-success"><?= $flash ?></div>
<?php endif; ?>
    <div class="loyout">
        <div itemscope itemtype="http://schema.org/Product">
            <div class="productLeftBar">
                <div itemprop="name"><h1><?= Seo::widget([ 'row' => 'h1' ]) ?></h1></div>
                <?php foreach ($product->enabledVariantsGrouped as $variantGroup) : ?>
                    <div class="begin"><?= $variantGroup->name2 ?></div>
                    <ul class="product_mod">
                        <?php foreach ($variantGroup->_variants as $variant): ?>
                            <li>
                                <a id='m<?= $variant->product_variant_id ?>' href="#<?= $variant->product_variant_id ?>"
                                    data-cost="<?= $variant->price ?>"
                                    data-old_cost="<?= $variant->price_old ?>" data-id="<?= $variant->product_variant_id ?>" data-art="<?= $variant->sku ?>"
                                    data-color="<?= $variant->name ?>"
                                    data-image="<?= \common\components\artboximage\ArtboxImageHelper::getImageSrc(
                                        $variant->imageUrl,
                                        'product_view'
                                    ) ?>"
                                    data-imageoriginal="<?= $variant->imageUrl ?>"
                                    title="<?= $fullname ?>">
                                    <?= \common\components\artboximage\ArtboxImageHelper::getImage(
                                        $variant->imageUrl,
                                        'product_variant',
                                        [
                                            'alt'   => $fullname,
                                            'title' => $fullname,
                                        ]
                                    ) ?>
                                </a>
                            </li>
                        <?php endforeach; ?>
                    </ul>
                    <div class="both"></div>
                <?php endforeach; ?>
                
                <div class="cost_box product_read_">
                    <div itemprop="offers" itemscope itemtype="http://schema.org/Offer">
                        <div class='params'>код: <span id='art'></span><br/> цвет:
                            <span id='color'></span></div>
                        <div class="product_read_price">
                            <div class="w">
                                <strike><span><span id='old_cost'><?= $product->variant->price_old > 0 ? $product->variant->price_old : 0 ?></span></span> грн.</strike>
                                <span class="cost"><span itemprop="price"><span id='cost'><?= $product->variant->price ?></span></span> <span class="valute">грн.</span></span>
                                <meta itemprop="priceCurrency" content="UAH">
                            </div>
                            <input type='hidden' id='product_id'/>
                            <a href="#" rel='<?= $product->variant->price > 0 ? "product" : "" ?>' class="<?= $product->variant->price > 0 ? "link_buy" : "link_buy_out_stock" ?>"><?= $product->variant->price > 0 ? "Купить" : "Нет в наличии" ?></a>
                            <div class="both"></div>
                        </div>
                    </div>
                    <div class="check_price">
                        <span>
                            Наличие и цены уточняйте на момент покупки.
                        </span>
                    </div>
                    <div class="product_service">
                        <ul>
                            <?php if (Yii::$app->user->id) : ?>
                                <li class="item1"><a href="<?= Url::to(
                                        [
                                            'iam/share',
                                            'id' => $product->product_id,
                                        ]
                                    ) ?>">Добавить в закладки</a></li>
                            <?php endif ?>
                            <?php if (false && Yii::$app->user->id) : ?>
                                <li class="item2"><a href="<?= Url::to(
                                        [
                                            'iam/price',
                                            'id' => $product->product_id,
                                        ]
                                    ) ?>">Узнать о снижение цены</a></li>
                            <?php endif ?>
                            <?php if (false) : ?>
                                <li class="item3"><a href="<?= Url::to(
                                        [
                                            'products/compare',
                                            'id' => $product->product_id,
                                        ]
                                    ) ?>">Добавить в сравнение</a></li>
                            <?php endif ?>
                        </ul>
                    </div>
                    <div class="artbox_comment_description">
                        <?php
                            if (!empty( $product->averageRating ) && $product->averageRating->value) {
                                ?>
                                <div itemprop="aggregateRating" class="product_rating_block" itemscope itemtype="http://schema.org/AggregateRating">
                                    <span itemprop="ratingValue" style="display: none"><?php echo $product->averageRating->value; ?></span>
                                    <span itemprop="ratingCount" style="display: none"><?php echo count(
                                            $product->comments
                                        ); ?></span>
                                    <div class="rateit" data-rateit-value="<?php echo $product->averageRating->value; ?>" data-rateit-readonly="true" data-rateit-ispreset="true"></div>
                                </div>
                                <?php
                            }
                        ?>
                        <p class="product_review_block"><a href="#artbox-comment" itemprop="interactionCount">
                                <?php
                                    $comment_count = count($product->comments);
                                    if ($comment_count) {
                                        echo "Отзывов: " . $comment_count;
                                    } else {
                                        echo "Оставить отзыв";
                                    }
                                ?>
                            </a></p>
                    </div>
                    <br>
                    <?php
                        /* Share buttons
                        ?>
                        <div class="ya-share2" data-services="vkontakte,facebook,odnoklassniki,gplus,twitter" data-size="s"></div>
                        <?php
                        */
                    ?>
                </div>
                <div class="labels_block">
                    <div class="labels_item">
                        <img src="/img/icon_100_original_01.png" alt="">
                    </div>
                    <div class="labels_item">
                        <img src="/img/icon_100_quaranty_01.png" alt="">
                    </div>
                </div>
                <?php /*
        <div class="product_service">
            <ul>
                <li class="item1"><a href="<?= Url::to (['iam/share', 'id' => $product->product_id]) ?>">Добавить в закладки</a>
                </li>
                <li class="item2"><a href="<?= Url::to (['iam/price', 'id' => $product->product_id]) ?>">Узнать о снижение
                        цены</a></li>
                <li class="item3"><a href="<?= Url::to (['products/compare', 'id' => $product->product_id]) ?>">Добавить в
                        сравнение</a></li>
            </ul>
        </div>*/ ?>
            </div>
            
            <div class="productRightBar">
                <?php foreach ($product->events as $event): ?>
                    <?php if (!empty( $event->end_at ) && $event->isActive()): ?>
                        <div class="event_block">
                            
                            <div class="event_title"> <?= Html::a(
                                    'Акция!!! ' . $event->name,
                                    Url::to(
                                        [
                                            'event/show',
                                            'alias' => $event->alias,
                                            'id'    => $event->primaryKey,
                                        ]
                                    )
                                ) ?></div>
                            <div class="event_time">До конца осталось:</div>
                            <div class="clock_<?= $event->primaryKey ?> clock_product_first "></div>
                            <script type="text/javascript">
                                var clock;
                                
                                $(document)
                                    .ready(
                                        function() {
                                            var clock;
                                            
                                            clock = $('.clock_<?= $event->primaryKey ?>')
                                                .FlipClock(
                                                    {
                                                        clockFace: 'DailyCounter',
                                                        language: 'ru',
                                                        classes: {
                                                            active: 'flip-clock-active',
                                                            before: 'flip-clock-before',
                                                            divider: 'flip-clock-divider',
                                                            dot: 'flip-clock-dot',
                                                            label: 'flip-clock-label',
                                                            flip: 'flip',
                                                            play: 'play',
                                                            wrapper: 'flip-clock-wrapper'
                                                        },
                                                    }
                                                );
                                            
                                            clock.setTime(<?= strtotime($event->end_at) - strtotime(
                                                date("Y-m-d H:i:s")
                                            )?>);
                                            clock.setCountdown(true);
                                            clock.start();
                                            
                                        }
                                    );
                            </script>
                        
                        </div>
                    <?php endif; ?>
                <?php endforeach; ?>
                
                <ul id="nav_product">
                    <li><a href="#">Характеристики</a>
                        <div class="info">
                            <p>Бренд: <?= Html::a(
                                    $product->brand->name,
                                    [
                                        'catalog/category',
                                        'category' => $category,
                                        'filters'  => [
                                            'brands' => [ $product->brand->alias ],
                                        ],
                                    ]
                                ) ?></p>
                            <?php foreach ($product->getActiveProperties($category->category_id) as $group): ?>
                                <p>
                                    <?php
                                        echo $group->name . ' ';
                                        $i = 1;
                                        foreach ($group->_options as $option) {
                                            if ($group->is_filter) {
                                                echo Html::a(
                                                    $option->ValueRenderHTML,
                                                    [
                                                        'catalog/category',
                                                        'category' => $category,
                                                        'filters'  => [
                                                            $group->alias => [ $option->alias ],
                                                        ],
                                                    ]
                                                );
                                            } else {
                                                echo $option->ValueRenderHTML;
                                            }
                                            if (count($group->_options) != $i) {
                                                echo ', ';
                                            }
                                            $i++;
                                        }
                                        unset( $i );
                                    ?>
                                </p>
                            <?php endforeach; ?>
                        </div>
                    </li>
                    <li><a href="#">Описание</a>
                        <div itemprop="description">
                            <div class="info">
                                <?= $product->description ?>
                            </div>
                        </div>
                    </li>
                    <?php if (!empty( $product->video ) && strpos($product->video, '.jpg') === false && strpos(
                            $product->video,
                            '.png'
                        ) === false
                    ) : ?>
                        <li><a href="#">Видео</a>
                            <div class="info product-thumb-video">
                                <?php if (strpos($product->video, '<iframe') !== false || strpos(
                                        $product->video,
                                        '<object'
                                    ) !== false
                                ) : ?>
                                    <?= $product->video ?>
                                <?php else : ?>
                                    <?= \cics\widgets\VideoEmbed::widget(
                                        [
                                            'responsive' => false,
                                            'url'        => $product->video,
                                        ]
                                    ) ?>
                                <?php endif ?>
                            </div>
                        </li>
                    <?php endif ?>
                </ul>
            </div>
            <div class="content">
                <div class="pic">
                    <center>
                        <a href="#" rel="shadowbox[gal]" id="picoriginal"><?= \common\components\artboximage\ArtboxImageHelper::getImage(
                                $product->variant->imageUrl,
                                'product_view',
                                [
                                    'id'    => 'pic',
                                    'alt'   => $fullname,
                                    'title' => $fullname,
                                ]
                            ) ?></a>
                    </center>
                </div>
                <ul class="product_colors">
                    <?php foreach ($product->images as $image): ?>
                        <li><a href="<?= $image->imageUrl ?>" rel="shadowbox[gal]">
                                <?= \common\components\artboximage\ArtboxImageHelper::getImage(
                                    $image->imageUrl,
                                    'product_trumb2',
                                    [
                                        'alt'   => $fullname,
                                        'title' => $fullname,
                                    ]
                                ) ?>
                            </a></li>
                    <?php endforeach; ?>
                </ul>
            </div>
            <div class="events">
                <?php foreach ($product->events as $event): ?>
                    <?php if (!empty( $event->banner ) && $event->isActive()): ?>
                        <?= Html::a(
                            \common\components\artboximage\ArtboxImageHelper::getImage(
                                $event->bannerUrl,
                                'event_in_product'
                            ),
                            Url::to(
                                [
                                    'event/show',
                                    'alias' => $event->alias,
                                    'id'    => $event->primaryKey,
                                ]
                            )
                        ) ?>
                    <?php endif; ?>
                <?php endforeach; ?>
            </div>
            
            <div class="both"></div>
            <div class="comment-wrapper" style="padding-bottom:25px">
                <?php
                    echo CommentWidget::widget(
                        [
                            'model' => $product,
                        ]
                    );
                ?>
                <div class="both"></div>
            </div>
            <div class="both"></div>
        </div>
        <?= \common\modules\product\widgets\similarProducts::widget([ 'product' => $product ]) ?>
        <?= \common\modules\product\widgets\specialProducts::widget([ 'type' => 'promo' ]) ?>
        <?= \common\modules\product\widgets\specialProducts::widget([ 'type' => 'new' ]) ?>
        <?= \common\modules\product\widgets\specialProducts::widget([ 'type' => 'top' ]) ?>
        <?= \common\modules\product\widgets\lastProducts::widget() ?>
    </div>
<?php
    $this->registerJs(
        "
      var productHash = window.location.hash;
            productHash = productHash.replace('#','')

            var productUl = $('ul.product_mod li')
            if(productHash) {
              var productA = productUl.find('a#'+productHash)
              productUl.removeClass('active')
              productA.parent().addClass('active')
              var dataLink = productA.attr('data-imageoriginal')
              var dataImg = productA.attr('data-image')
            }

            $('#pic').attr('src',dataImg)
            $('#pic').parent().attr('href',dataLink)
    ",
        View::POS_READY,
        'new_script'
    );
?>