<?php
    /** @var \common\modules\product\models\Product $product */
    use common\modules\comment\assets\CommentAsset;
    use yii\helpers\Html;
    use yii\helpers\Url;
    
    Yii::$app->getModule('artbox-comment');
    CommentAsset::register($this);
    $fullname = $product->fullname;
?>
<li class="item">
    <div class="boxitem">
        <div class="pixbox">
            <a href="<?= Url::to([
                'catalog/product',
                'product' => $product,
                '#'       => 'm' . $product->enabledVariants[ 0 ]->product_variant_id,
            ]) ?>">
                <?= \common\components\artboximage\ArtboxImageHelper::getImage($product->enabledVariants[ 0 ]->imageUrl, 'list', [
                    'alt'   => $fullname,
                    'title' => $fullname,
                ]) ?>
            </a>
        </div>
        <?php if(!empty( $product->is_top ) || !empty( $product->is_new ) || !empty( $product->akciya )) : ?>
            <ul class="product-special">
                <?php if(!empty( $product->is_top )) : ?>
                    <li class="top">
                        <div>top</div>
                    </li>
                <?php endif ?>
                <?php if(!empty( $product->is_new )) : ?>
                    <li class="new">
                        <div>new</div>
                    </li>
                <?php endif ?>
                <?php if(!empty( $product->akciya )) : ?>
                    <li class="promo">
                        <div>Акция</div>
                    </li>
                <?php endif ?>
            </ul>
        <?php endif ?>
        <div class="comment_display_block">
            <?php
                if(!empty( $product->averageRating && $product->averageRating->value > 0)) {
                    ?>
                    <div class="rateit" data-rateit-value="<?php echo $product->averageRating->value; ?>" data-rateit-readonly="true" data-rateit-ispreset="true"></div>
                    <?php
                }
            ?>
            <p>
                <?php
                    $comment_count = count($product->comments);
                    echo Html::a(( $comment_count ? 'Отзывов: ' . count($product->comments) : "Оставить отзыв" ), [
                        'catalog/product',
                        'product' => $product,
                        '#'       => 'artbox-comment',
                    ]);
                ?>
            </p>
        </div>
        <div><a href="<?= Url::to([
                'catalog/product',
                'product' => $product,
                '#'       => 'm' . $product->enabledVariants[ 0 ]->product_variant_id,
            ]) ?>"
                class="name"><?= $fullname ?>
            </a></div>
        
        <?php
            
            echo '<div class="cost-block">';

            // есть скидка
        echo '<p  class="cost">';
            if($product->enabledVariants[ 0 ]->price_old != 0 && $product->enabledVariants[ 0 ]->price_old != $product->enabledVariants[ 0 ]->price) {
                echo '<strike><span id=\'old_cost\'>' . $product->enabledVariants[0]->price_old . '</span> грн.</strike>&nbsp;';
                echo $product->enabledVariants[0]->price . ' <span>грн.</span></p>';
            } else {
                echo '<span>'.$product->enabledVariants[0]->price . ' </span><span>грн.</span></p>';
            }
            echo '</div>';
        
        ?>
    </div>
    <a href="<?= Url::to([
        'catalog/product',
        'product' => $product,
        '#'       => 'm' . $product->enabledVariants[ 0 ]->product_variant_id,
    ]) ?>" class="link_buy">Купить</a>
    
    <div class="mycarousel">
        <ul class="jcarousel jcarousel-skin-tango">
            <?php foreach($product->enabledVariants as $variant) : ?>
                <?php if(!empty( $variant->image )) : ?>
                    <li>
                        <a href="<?= Url::to([
                            'catalog/product',
                            'product' => $product,
                            '#'       => 'm' . $variant->product_variant_id,
                        ]) ?>">
                            <?= \common\components\artboximage\ArtboxImageHelper::getImage($variant->imageUrl, 'product_variant', [
                                'alt'   => $fullname,
                                'title' => $fullname,
                            ]) ?>
                        </a>
                    </li>
                <?php endif; ?>
            <?php endforeach; ?>
        </ul>
    </div>
</li>