<?php
/** @var $this \yii\web\View */
/** @var $productProvider \yii\data\ActiveDataProvider */
/** @var $brandProvider \yii\data\ActiveDataProvider */


use yii\helpers\Url;
use common\modules\product\helpers\ProductHelper;

$page_data = [
    'keywords' => implode(' ', $keywords),
];
$this->params['seo']['title'] = 'Поиск';
$this->params['breadcrumbs'][] = ['label' => 'Поиск', 'url' => ['catalog/category', 'word' => implode(' ', $keywords)]];


//$this->params['seo']['seo_text'] = 'TEST SEO TEXT';
//$this->params['seo']['h1'] = 'TEST H1';
//$this->params['seo']['description'] = 'TEST DESCRIPTION';
//$this->params['seo']['fields']['name'] = 'TEST NAME FROM FIELD';
$this->params['seo']['meta']= 'noindex,follow';
?>

<div class="loyout">
    <?php if(!empty($categories)) :?>
    <div class="leftbar">
        <form action="#" name="filter_catalog_page_form" class="filter-catalog-form">
            <div class="filters">
                <div class="begin">Категории</div>
                <ul>
                    <?php foreach ($categories as $_category) :
                        $checked = !empty($category) && $category->category_id == $_category->category_id;
                        $option_url = $checked ? Url::to(['catalog/category', 'word' => implode(' ', $keywords)]) : Url::to(['catalog/category', 'category' => $_category, 'word' => implode(' ', $keywords)]);
                        ?>
                        <li>
                            <input type="checkbox" class="brands-option" <?= $checked ? ' checked' : ''?> onchange="document.location='<?= $option_url?>'" />
                            <a href="<?= $option_url?>"><?= $_category->name?><?php // @todo count?></a>
                        </li>
                    <?php endforeach?>
                </ul>
            </div>
        </form>
    </div>
    <?php endif ?>
    <div class="content">
        <h1>Поиск <?= isset($keywords[0]) ? $keywords[0] : '' ?></h1>
        <div class="ten"></div>
        <div class="products pn">
            <ul>
                <?php foreach($productProvider->models as $product) :
                    if(isset($product->variant)){
                ?>
                <?= $this->render('product_item.php', ['product' => $product])?>

                <?php
                    }
                 endforeach?>
            </ul>
            <div class="both"></div>
        </div>
        <?php if ($productProvider->totalCount > $productProvider->pagination->pageSize) :?>
            <?= \yii\widgets\LinkPager::widget([
                'pagination' => $productProvider->pagination,
                'options' => ['class' => 'pagination pull-right'],
                'registerLinkTags' => true,
            ]);
            ?>
        <?php endif?>
    </div>
</div>