<?php
    /** @var \common\modules\product\models\Product $product */
    use common\modules\comment\assets\CommentAsset;
    use yii\helpers\Html;
    use yii\helpers\Url;
    
    Yii::$app->getModule('artbox-comment');
    CommentAsset::register($this);
?>
<li class="item">
    <div class="boxitem">
        <div class="pixbox">
            <a href="<?= Url::to([
                'catalog/product',
                'product' => $product,
                '#'       => 'm' . $product->variant->product_variant_id,
            ]) ?>">
                <?= \common\components\artboximage\ArtboxImageHelper::getImage($product->variant->imageUrl, 'list', [
                    'alt'   => $product->category->categoryName->value . ' ' . $product->fullname,
                    'title' => $product->category->categoryName->value . ' ' . $product->fullname,
                ]) ?>
            </a>
        </div>
        <?php if(!empty( $product->is_top ) || !empty( $product->is_new ) || !empty( $product->akciya )) : ?>
            <ul class="product-special">
                <?php if(!empty( $product->is_top )) : ?>
                    <li class="top">
                        <div>top</div>
                    </li>
                <?php endif ?>
                <?php if(!empty( $product->is_new )) : ?>
                    <li class="new">
                        <div>new</div>
                    </li>
                <?php endif ?>
                <?php if(!empty( $product->akciya )) : ?>
                    <li class="promo">
                        <div>Акция</div>
                    </li>
                <?php endif ?>
            </ul>
        <?php endif ?>
        <div class="comment_display_block">
            <?php
                if(!empty( $product->averageRating && $product->averageRating->value > 0)) {
                    ?>
                    <div class="rateit" data-rateit-value="<?php echo $product->averageRating->value; ?>" data-rateit-readonly="true" data-rateit-ispreset="true"></div>
                    <?php
                }
            ?>
            <p>
                <?php
                    $comment_count = count($product->comments);
                    echo Html::a(( $comment_count ? 'Отзывов: ' . count($product->comments) : "Оставить отзыв" ), [
                        'catalog/product',
                        'product' => $product,
                        '#'       => 'artbox-comment',
                    ]);
                ?>
            </p>
        </div>
        <div><a href="<?= Url::to([
                'catalog/product',
                'product' => $product,
                '#'       => 'm' . $product->variant->product_variant_id,
            ]) ?>"
                class="name"><?= $product->fullnamewithcategory ?>
            </a></div>
        
        <?php
            
            echo '<div class="cost-block">';

            // есть скидка
        echo '<p  class="cost">';
            if($product->variant->price_old != 0 && $product->variant->price_old != $product->variant->price) {
                echo '<strike><span id=\'old_cost\'>' . $product->variant->price_old . '</span> грн.</strike>&nbsp;';
                echo $product->variant->price . ' <span>грн.</span></p>';
            } else {
                echo '<span>'.$product->variant->price . ' </span><span>грн.</span></p>';
            }
            echo '</div>';
        
        ?>
    </div>
    <a href="<?= Url::to([
        'catalog/product',
        'product' => $product,
        '#'       => 'm' . $product->variant->product_variant_id,
    ]) ?>" class="<?= $product->variant->price > 0 ? "link_buy" : "link_buy_out_stock"?>"><?= $product->variant->price > 0 ? "Купить" : "Нет в наличии"?></a>
    
    <div class="mycarousel">
        <ul class="jcarousel jcarousel-skin-tango">
            <?php foreach($product->variants as $variant) : ?>
                <?php if(!empty( $variant->image )) : ?>
                    <li>
                        <a href="<?= Url::to([
                            'catalog/product',
                            'product' => $product,
                            '#'       => 'm' . $variant->product_variant_id,
                        ]) ?>">
                            <?= \common\components\artboximage\ArtboxImageHelper::getImage($variant->imageUrl, 'product_variant', [
                                'alt'   => $product->category->categoryName->value . ' ' . $product->fullname,
                                'title' => $product->category->categoryName->value . ' ' . $product->fullname,
                            ]) ?>
                        </a>
                    </li>
                <?php endif; ?>
            <?php endforeach; ?>
        </ul>
    </div>
</li>